Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(1513)

Issue 369930043: Change \partcombine (et al.) to \partCombine (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
8 months, 1 week ago by Valentin Villenave
Modified:
7 months, 3 weeks ago
Reviewers:
dak, Malte Meyn, pkx166h
CC:
lilypond-devel_gnu.org
Visibility:
Public.

Description

Change \partcombine (et al.) to \partCombine I figured I’d try and rebase/update/complete Charles’ previous proposal in case someone ever decides to apply it. In which case, I guess \autochange should be updated as well; that’s the only other multi-word command I could find that had’nt been previously camelCased as part of Graham’s `Grand Syntax Stabilization’ project a few years back. … Well, unless you count \defaultchild and \grobdescriptions, but that’s not something the average user tends to be exposed to. Then again, for some reason we do still have \fontsize and \normalsize, all lower-case (camelCase being precisely what sets apart fontSize, as a property, from \fontsize as a command). I personally don’t have more than a slight preference towards \partCombine and \autoChange, and I wouldn’t dare to guess how much damage this syntax break could cause (though my we’ve definitely seen worse in the past, this one being fairly trivially handled by convert-ly). And, yes, I’m well aware that there still are much bigger fishes to fry at the moment (but that’s already what got the \partcombine patch stuck in limbo last year).

Patch Set 1 #

Patch Set 2 : Revamped patch. Passes make & makedoc; adds \autoChange. #

Total comments: 1

Patch Set 3 : Correct convert rules. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+644 lines, -635 lines) Patch
M Documentation/ca/notation/rhythms.itely View 2 chunks +3 lines, -3 lines 0 comments Download
M Documentation/ca/notation/simultaneous.itely View 1 9 chunks +39 lines, -39 lines 0 comments Download
M Documentation/ca/usage/updating.itely View 1 1 chunk +1 line, -1 line 0 comments Download
M Documentation/changes.tely View 1 1 chunk +6 lines, -0 lines 0 comments Download
M Documentation/contributor/programming-work.itexi View 1 3 chunks +6 lines, -6 lines 0 comments Download
M Documentation/cs/usage/updating.itely View 1 1 chunk +1 line, -1 line 0 comments Download
M Documentation/de/notation/fretted-strings.itely View 1 chunk +2 lines, -2 lines 0 comments Download
M Documentation/de/notation/input.itely View 1 1 chunk +2 lines, -2 lines 0 comments Download
M Documentation/de/notation/keyboards.itely View 1 5 chunks +7 lines, -7 lines 0 comments Download
M Documentation/de/notation/rhythms.itely View 1 2 chunks +3 lines, -3 lines 0 comments Download
M Documentation/de/notation/simultaneous.itely View 1 9 chunks +32 lines, -32 lines 0 comments Download
M Documentation/de/texidocs/changing-partcombine-texts.texidoc View 1 chunk +1 line, -1 line 0 comments Download
M Documentation/de/texidocs/combining-two-parts-on-the-same-staff.texidoc View 2 chunks +3 lines, -3 lines 0 comments Download
M Documentation/de/texidocs/partcombine-and-autobeamoff.texidoc View 1 2 chunks +5 lines, -5 lines 0 comments Download
M Documentation/de/usage/updating.itely View 1 1 chunk +1 line, -1 line 0 comments Download
M Documentation/es/notation/fretted-strings.itely View 1 chunk +2 lines, -2 lines 0 comments Download
M Documentation/es/notation/input.itely View 1 chunk +2 lines, -2 lines 0 comments Download
M Documentation/es/notation/keyboards.itely View 1 7 chunks +11 lines, -11 lines 0 comments Download
M Documentation/es/notation/rhythms.itely View 2 chunks +3 lines, -3 lines 0 comments Download
M Documentation/es/notation/simultaneous.itely View 1 10 chunks +39 lines, -39 lines 0 comments Download
M Documentation/es/notation/vocal.itely View 1 5 chunks +6 lines, -6 lines 0 comments Download
M Documentation/es/texidocs/changing-partcombine-texts.texidoc View 1 chunk +1 line, -1 line 0 comments Download
M Documentation/es/texidocs/combining-two-parts-on-the-same-staff.texidoc View 2 chunks +2 lines, -2 lines 0 comments Download
M Documentation/es/texidocs/partcombine-and-autobeamoff.texidoc View 1 2 chunks +5 lines, -5 lines 0 comments Download
M Documentation/es/texidocs/using-autochange-with-more-than-one-voice.texidoc View 1 1 chunk +1 line, -1 line 0 comments Download
M Documentation/es/usage/updating.itely View 1 1 chunk +1 line, -1 line 0 comments Download
M Documentation/fr/notation/fretted-strings.itely View 1 chunk +2 lines, -2 lines 0 comments Download
M Documentation/fr/notation/input.itely View 1 chunk +2 lines, -2 lines 0 comments Download
M Documentation/fr/notation/keyboards.itely View 1 5 chunks +14 lines, -14 lines 0 comments Download
M Documentation/fr/notation/rhythms.itely View 1 2 chunks +3 lines, -3 lines 0 comments Download
M Documentation/fr/notation/simultaneous.itely View 1 7 chunks +39 lines, -39 lines 0 comments Download
M Documentation/fr/notation/vocal.itely View 1 5 chunks +6 lines, -6 lines 0 comments Download
M Documentation/fr/texidocs/combining-two-parts-on-the-same-staff.texidoc View 2 chunks +3 lines, -3 lines 0 comments Download
M Documentation/fr/texidocs/partcombine-and-autobeamoff.texidoc View 1 3 chunks +4 lines, -4 lines 0 comments Download
M Documentation/fr/texidocs/using-autochange-with-more-than-one-voice.texidoc View 1 1 chunk +2 lines, -2 lines 0 comments Download
M Documentation/fr/usage/updating.itely View 1 1 chunk +1 line, -1 line 0 comments Download
M Documentation/hu/usage/updating.itely View 1 chunk +1 line, -1 line 0 comments Download
M Documentation/it/notation/input.itely View 1 1 chunk +2 lines, -2 lines 0 comments Download
M Documentation/it/notation/rhythms.itely View 2 chunks +3 lines, -3 lines 0 comments Download
M Documentation/it/notation/simultaneous.itely View 1 8 chunks +39 lines, -39 lines 0 comments Download
M Documentation/it/notation/vocal.itely View 1 5 chunks +6 lines, -6 lines 0 comments Download
M Documentation/it/texidocs/changing-partcombine-texts.texidoc View 1 chunk +1 line, -1 line 0 comments Download
M Documentation/it/texidocs/combining-two-parts-on-the-same-staff.texidoc View 2 chunks +3 lines, -3 lines 0 comments Download
M Documentation/it/texidocs/partcombine-and-autobeamoff.texidoc View 1 2 chunks +5 lines, -5 lines 0 comments Download
M Documentation/it/usage/updating.itely View 1 1 chunk +1 line, -1 line 0 comments Download
M Documentation/ja/notation/fretted-strings.itely View 1 chunk +2 lines, -2 lines 0 comments Download
M Documentation/ja/notation/input.itely View 1 1 chunk +2 lines, -2 lines 0 comments Download
M Documentation/ja/notation/keyboards.itely View 1 4 chunks +11 lines, -11 lines 0 comments Download
M Documentation/ja/notation/rhythms.itely View 2 chunks +3 lines, -3 lines 0 comments Download
M Documentation/ja/notation/simultaneous.itely View 1 7 chunks +33 lines, -33 lines 0 comments Download
M Documentation/ja/usage/updating.itely View 1 1 chunk +1 line, -1 line 0 comments Download
M Documentation/ly-examples/sesto-piano.ly View 2 chunks +2 lines, -2 lines 0 comments Download
M Documentation/notation/fretted-strings.itely View 1 chunk +2 lines, -2 lines 0 comments Download
M Documentation/notation/input.itely View 1 chunk +2 lines, -2 lines 0 comments Download
M Documentation/notation/keyboards.itely View 1 4 chunks +14 lines, -14 lines 0 comments Download
M Documentation/notation/rhythms.itely View 2 chunks +3 lines, -3 lines 0 comments Download
M Documentation/notation/simultaneous.itely View 1 8 chunks +42 lines, -42 lines 0 comments Download
M Documentation/notation/vocal.itely View 1 5 chunks +6 lines, -6 lines 0 comments Download
M Documentation/snippets/changing-partcombine-texts.ly View 1 2 chunks +3 lines, -3 lines 0 comments Download
M Documentation/snippets/combining-two-parts-on-the-same-staff.ly View 1 3 chunks +6 lines, -6 lines 0 comments Download
M Documentation/snippets/new/combining-two-parts-on-the-same-staff.ly View 1 3 chunks +6 lines, -6 lines 0 comments Download
M Documentation/snippets/partcombine-and-autobeamoff.ly View 1 2 chunks +7 lines, -7 lines 0 comments Download
M Documentation/snippets/two--partcombine-pairs-on-one-staff.ly View 1 6 chunks +13 lines, -13 lines 0 comments Download
M Documentation/snippets/using-autochange-with-more-than-one-voice.ly View 1 3 chunks +3 lines, -3 lines 0 comments Download
M Documentation/snippets/vocal-ensemble-template-with-automatic-piano-reduction.ly View 1 2 chunks +3 lines, -3 lines 0 comments Download
M Documentation/usage/updating.itely View 1 1 chunk +1 line, -1 line 0 comments Download
M input/regression/auto-change.ly View 1 2 chunks +2 lines, -2 lines 0 comments Download
M input/regression/autochange-clefs.ly View 1 2 chunks +4 lines, -4 lines 0 comments Download
M input/regression/autochange-inside-grace.ly View 1 2 chunks +2 lines, -2 lines 0 comments Download
M input/regression/autochange-relative.ly View 1 1 chunk +7 lines, -7 lines 0 comments Download
M input/regression/autochange-turning-pitch.ly View 1 1 chunk +4 lines, -4 lines 0 comments Download
M input/regression/autochange-with-grace.ly View 1 2 chunks +2 lines, -2 lines 0 comments Download
M input/regression/display-lily-tests.ly View 1 3 chunks +6 lines, -6 lines 0 comments Download
M input/regression/grace-part-combine.ly View 1 1 chunk +3 lines, -3 lines 0 comments Download
M input/regression/midi/partcombine.ly View 3 chunks +3 lines, -3 lines 0 comments Download
M input/regression/part-combine.ly View 2 chunks +2 lines, -2 lines 0 comments Download
M input/regression/part-combine-3voices.ly View 2 chunks +4 lines, -4 lines 0 comments Download
M input/regression/part-combine-a2.ly View 2 chunks +2 lines, -2 lines 0 comments Download
M input/regression/part-combine-chord-range.ly View 2 chunks +2 lines, -2 lines 0 comments Download
M input/regression/part-combine-cross.ly View 1 chunk +2 lines, -2 lines 0 comments Download
M input/regression/part-combine-force.ly View 2 chunks +9 lines, -9 lines 0 comments Download
M input/regression/part-combine-force-mmrest-position.ly View 2 chunks +3 lines, -3 lines 0 comments Download
M input/regression/part-combine-force-once.ly View 2 chunks +11 lines, -11 lines 0 comments Download
M input/regression/part-combine-global.ly View 2 chunks +2 lines, -2 lines 0 comments Download
M input/regression/part-combine-inside-grace.ly View 1 chunk +2 lines, -2 lines 0 comments Download
M input/regression/part-combine-markup.ly View 2 chunks +2 lines, -2 lines 0 comments Download
M input/regression/part-combine-mmrest-after-apart-silence.ly View 2 chunks +3 lines, -3 lines 0 comments Download
M input/regression/part-combine-mmrest-after-solo.ly View 1 chunk +2 lines, -2 lines 0 comments Download
M input/regression/part-combine-mmrest-apart.ly View 2 chunks +5 lines, -5 lines 0 comments Download
M input/regression/part-combine-mmrest-shared.ly View 2 chunks +4 lines, -4 lines 0 comments Download
M input/regression/part-combine-relative.ly View 1 chunk +7 lines, -7 lines 0 comments Download
M input/regression/part-combine-silence.ly View 4 chunks +4 lines, -4 lines 0 comments Download
M input/regression/part-combine-silence-mixed.ly View 2 chunks +3 lines, -3 lines 0 comments Download
M input/regression/part-combine-solo.ly View 1 chunk +2 lines, -2 lines 0 comments Download
M input/regression/part-combine-solo-end.ly View 1 chunk +2 lines, -2 lines 0 comments Download
M input/regression/part-combine-solo-global.ly View 1 chunk +2 lines, -2 lines 0 comments Download
M input/regression/part-combine-strings.ly View 1 chunk +3 lines, -3 lines 0 comments Download
M input/regression/part-combine-text.ly View 2 chunks +2 lines, -2 lines 0 comments Download
M input/regression/part-combine-text-wait.ly View 3 chunks +4 lines, -4 lines 0 comments Download
M input/regression/part-combine-tuplet-end.ly View 1 chunk +2 lines, -2 lines 0 comments Download
M input/regression/part-combine-tuplet-single.ly View 1 chunk +2 lines, -2 lines 0 comments Download
M input/regression/part-combine-unequal-lengths.ly View 2 chunks +4 lines, -4 lines 0 comments Download
M input/regression/part-combine-with-grace.ly View 1 chunk +2 lines, -2 lines 0 comments Download
M input/regression/slur-extreme.ly View 1 2 chunks +2 lines, -2 lines 0 comments Download
M ly/declarations-init.ly View 1 1 chunk +1 line, -1 line 0 comments Download
M ly/engraver-init.ly View 1 1 chunk +1 line, -1 line 0 comments Download
M ly/music-functions-init.ly View 1 5 chunks +5 lines, -5 lines 0 comments Download
M ly/property-init.ly View 1 2 chunks +8 lines, -8 lines 0 comments Download
M python/convertrules.py View 1 2 2 chunks +5 lines, -2 lines 0 comments Download
M scm/define-context-properties.scm View 1 1 chunk +1 line, -1 line 0 comments Download
M scm/define-music-display-methods.scm View 1 4 chunks +5 lines, -5 lines 0 comments Download
M scm/define-music-properties.scm View 1 1 chunk +1 line, -1 line 0 comments Download
M scm/part-combiner.scm View 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 6
Valentin Villenave
Revamped patch. Passes make & makedoc; adds \autoChange.
8 months, 1 week ago (2018-12-16 14:31:45 UTC) #1
dak
https://codereview.appspot.com/369930043/diff/20001/python/convertrules.py File python/convertrules.py (right): https://codereview.appspot.com/369930043/diff/20001/python/convertrules.py#newcode3977 python/convertrules.py:3977: str = re.sub (r"\\partcombine", r"\\partCombine", str) Uh, you realize ...
8 months ago (2018-12-21 11:22:21 UTC) #2
Valentin Villenave
Correct convert rules.
8 months ago (2018-12-21 17:50:33 UTC) #3
Valentin Villenave
On 2018/12/21 17:50:33, Valentin Villenave wrote: > Correct convert rules. OK, pushed onto staging as ...
7 months, 4 weeks ago (2018-12-28 09:43:58 UTC) #4
Malte Meyn
On 2018/12/28 09:43:58, Valentin Villenave wrote: > On 2018/12/21 17:50:33, Valentin Villenave wrote: > > ...
7 months, 4 weeks ago (2018-12-28 11:11:50 UTC) #5
pkx166h_runbox.com
7 months, 3 weeks ago (2018-12-29 10:40:36 UTC) #6
Valentin,

On 28/12/2018 11:11 am, lilypond@maltemeyn.de wrote:
> On 2018/12/28 09:43:58, Valentin Villenave wrote:
>> On 2018/12/21 17:50:33, Valentin Villenave wrote:
>> > Correct convert rules.
>
>> OK, pushed onto staging as 72067b395d947f1349ab8010f0592d45e52b8141.
>
> I think you should change the sourceforge issue
> (https://sourceforge.net/p/testlilyissues/issues/4603/):
> • click “Edit” at the top right
> • set “Status” to “Fixed”
> • unset “Patch”
> • set “Labels” to “Fixed_2_21_0”
> • mention the commit in the comment section at the bottom and click
> “Save”

I did this for you as I was checking all the current trackers/Rietvelds 
anyway.


James

Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b